Retrieves the db_info_data object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
db_info_data| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| target_id |
Foreign key of the object using his Wello Guid Primary Key |
globally unique identifier |
Optionally required : target_id or target_code must be provided |
| target_code |
Foreign key of the object using ERP PK when adding/updating db_info_data |
string |
Optionally required : target_id or target_code must be provided |
| db_table_id |
Foreign key to the table that own the "target_id" (Example:article,company,project) using Guid |
globally unique identifier |
Optionally required : db_table_id or db_table_name must be provided |
| db_table_name |
Foreign key to the table that own the "target_id" (Example:article,company,project) using table name |
string |
Optionally required : db_table_id or db_table_name must be provided |
| db_info_field_id | globally unique identifier |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| db_info_field_name | string |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| db_info_field | db_info_field |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| value |
The value of this info fields for this targetId. Follow the formating rules (API / HELP / Info Fields) |
string |
Required |
| reference_back_office |
The Id/Ref of the back office for this object |
string |
Max length: 50 |
| sys_logical_delete |
sys_logical_delete |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "1140ba2a-048f-4a84-9495-85c0a87f2d2d",
"target_id": "0954955d-557e-4407-b581-7e01bd2d862c",
"target_code": "sample string 3",
"db_table_id": "56327826-5ee4-4cb2-938d-ba976d6f0f79",
"db_table_name": "sample string 5",
"db_info_field_id": "42d7401e-a1a3-40ba-9b68-2ac6ec7bff29",
"db_info_field_name": "sample string 7",
"value": "sample string 8",
"reference_back_office": "sample string 9",
"sys_logical_delete": true,
"modified_dateutc": "2026-04-14T05:30:52.9243144+00:00"
}